Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3717 - custom kernel rebuild make xconfig error
Summary: custom kernel rebuild make xconfig error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-24 22:09 UTC by papa
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-28 07:08:41 UTC


Attachments (Terms of Use)

Description papa 1999-06-24 22:09:50 UTC
While building a custom kernel using 2.2.5-22 i used the
following steps.
make mrproper
make xconfig
In xconfig i noticed that when i save the configuration
with either the <store configuration> or <save and exit>
buttons i received the following message in the xterm
window.

ERROR - Attempting to write value for unconfigured variable
(CONFIG_FB_ATY)

After experimentation found that this error can be
replicated by doing only the following
make mrproper
make xconfig
<console drivers>    'do not change anything!
<main menu>
<store configuration> or <save and exit>

Do not know if this is related, but have been unable to gen
a custom kernel with 2.2.5-22 if anything is changed with
xconfig. All attempts so far result in hang on reboot at
module dependencies, or depmod -a 2.2.5-22 with unresolved
dependencies. And yes, before you ask, i
deleted /lib/modules/2.2.5-22 before i did make
modules_install.

Comment 1 Cristian Gafton 1999-07-28 07:08:59 UTC
I would recommend "make menuconfig" instead. "make xconfig is hardly
maintained these days...

Comment 2 papa 1999-08-16 22:05:59 UTC
"make xconfig is hardly maintained these days...

If this is true remove xconfig from the distribution, as it is the
one most people will attempt to use due to the gui interface. Leaving
a guaranteed failure in an important aspect to your product is
ensuring the failure of the adoption of that product.

Comment 3 Bill Nottingham 1999-08-31 22:13:59 UTC
To get rid of the hang on depmod, upgrade to the latest
initscripts from Raw Hide - there's a very silly bug in it.


Note You need to log in before you can comment on or make changes to this bug.